Get System

Get System

Get Fleet LCM System details. When targetVersion is set, bundle details are included and can be filtered using parameters.

Examples:

  • GET /v1/system - Fleet LCM System details
  • GET /v1/system?bundleType=PATCH - Fleet LCM System details with only patch bundles (when targetVersion set)
  • GET /v1/system?status=REQUIRED - Fleet LCM System details with only required bundles (when targetVersion set)
  • GET /v1/system?bundleType=PATCH&status=REQUIRED - Fleet LCM System details with combined filtering (when targetVersion set)
Request
URI
GET
https://vcf.broadcom.com/fleet-lcm/v1/system
COPY
Query Parameters
string
bundleType
Optional

The bundle type

status
Optional

The status of the component bundle


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns System of type(s) application/json
{
    "upgrade": {
        "taskId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
        "status": "PENDING"
    },
    "bundles": [
        {
            "components": [
                {
                    "componentType": "OPS",
                    "size": 0,
                    "publicName": "publicName",
                    "bundleId": "bundleId",
                    "bundleType": "bundleType",
                    "version": "version",
                    "status": "REQUIRED"
                },
                {
                    "componentType": "OPS",
                    "size": 0,
                    "publicName": "publicName",
                    "bundleId": "bundleId",
                    "bundleType": "bundleType",
                    "version": "version",
                    "status": "REQUIRED"
                }
            ],
            "fdsId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "fdsFqdn": "fdsFqdn"
        },
        {
            "components": [
                {
                    "componentType": "OPS",
                    "size": 0,
                    "publicName": "publicName",
                    "bundleId": "bundleId",
                    "bundleType": "bundleType",
                    "version": "version",
                    "status": "REQUIRED"
                },
                {
                    "componentType": "OPS",
                    "size": 0,
                    "publicName": "publicName",
                    "bundleId": "bundleId",
                    "bundleType": "bundleType",
                    "version": "version",
                    "status": "REQUIRED"
                }
            ],
            "fdsId": "046b6c7f-0b8a-43b9-b35d-6489e6daee91",
            "fdsFqdn": "fdsFqdn"
        }
    ],
    "availableTargetVersions": [
        "availableTargetVersions",
        "availableTargetVersions"
    ],
    "currentVersion": "currentVersion",
    "targetVersion": "targetVersion"
}
string
currentVersion
Optional

Current version of Fleet LCM System

string
targetVersion
Optional

Target version set on Fleet LCM System for patch/upgrade operation

array of string
availableTargetVersions
Optional

List of available versions for Fleet LCM System patch/upgrade based on depot metadata

array of object
bundles
Optional

Bundle information for Fleet LCM System patch/upgrade (when targetVersion set)

object
upgrade
Optional

Upgrade summary of Fleet LCM System


400

Bad request.

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


401

Unauthorized

Returns ErrorResponse of type(s) application/json
{
    "code": "code",
    "detail": "detail",
    "message": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "resolution": {
        "args": {
            "cloudProxyFqdn": "cloudProxy1.vsphere.local"
        },
        "localizedMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "defaultMessage": "Started upgrade for Cloud Proxy `cloudProxy1.vsphere.local`",
        "id": "com.broadcom.lcm.ops.cloudproxy.upgrade.started"
    },
    "referenceId": "referenceId",
    "timestamp": "2000-01-23T04:56:07.000Z"
}
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


500

Internal Server Error

Returns ErrorResponse of type(s) application/json
"ErrorResponse Object"
string
code
Required

Unique error code for programmatic identification.

object
message
Required

message

object
resolution
Required

resolution

string
referenceId
Required

An identifier for tracing the error in the logs.

string As date-time As date-time
timestamp
Required

The date and time when the error occurred.

string
detail
Optional

Freeform extra information, such as raw error payloads or additional context.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/fleet-lcm/v1/system